Download it now!
Bug 62292 - WIKIHELP: Multiple references to non-existent key CommandCtrl
Summary: WIKIHELP: Multiple references to non-existent key CommandCtrl
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on: 98110
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 12:57 UTC by Robinson Tryon (qubit)
Modified: 2016-10-25 19:02 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robinson Tryon (qubit) 2013-03-13 12:57:21 UTC
Many pages of the Online Help mention a non-existent key CommandCtrl:

https://help.libreoffice.org/Draw/Shortcut_Keys_for_Drawing_Objects
https://help.libreoffice.org/Calc/AutoInput
https://help.libreoffice.org/Calc/Using_Scenarios
(etc...)

I believe this may be a mis-formatting of "Command/Ctrl" -- a reference to the different modifier key used on OSX.

The term "Command/Ctrl" is still confusing, especially if one is running OSX and has both a Command *and* a Control key on one's keyboard. Things get even more confusing if one is using an Apple keyboard or an Apple laptop, but running Windows or GNU/Linux.

I suggest that the documentation reference the Control key, and we place a note at the top of the page or in the sidebar mentioning that when running OSX, one will need to use the 'Command' key instead of the 'Ctrl' key in most (all?) instances.
Comment 1 Andras Timar 2013-03-28 11:00:21 UTC
Help to Wiki converter does the following:

Source:
<item type="keycode"><switchinline select="sys"><caseinline select="MAC">Command</caseinline><defaultinline>Ctrl</defaultinline></switchinline>+Tab</item> 
Wiki code:
{{KeyCode|CommandCtrl+Tab}}

This is wrong. On the other hand, when keyboard shortcut is not "keycode":

Source:
<switchinline select="sys"><caseinline select="MAC">Command</caseinline><defaultinline>Ctrl</defaultinline></switchinline>
Wiki code:
{{System|default=Ctrl|mac=Command}}

But unfortunately the System template is a stub, that does not detect system, See https://help.libreoffice.org/WikiAction/edit/Template:System
Comment 2 QA Administrators 2015-02-19 15:40:04 UTC Comment hidden (obsolete)
Comment 3 Robinson Tryon (qubit) 2015-02-19 21:52:44 UTC
(In reply to Robinson Tryon (qubit) from comment #0)
> Many pages of the Online Help mention a non-existent key CommandCtrl:
> 
> https://help.libreoffice.org/Draw/Shortcut_Keys_for_Drawing_Objects

Bug is still present.
Comment 4 Dennis Roczek 2015-06-14 22:49:50 UTC
I take this. This might be solvable through an extension like http://www.mediawiki.org/wiki/Extension:UserInfo
Comment 5 Dennis Roczek 2016-02-12 22:51:12 UTC
well this might be 2 new EasyHacks!

1) Python script has to be modified
http://opengrok.libreoffice.org/xref/help/to-wiki/wikiconv2.py so that something like {{System|default=Ctrl|mac=Command}} is produced.

2) (to be analyzed) I hadn't found something useful at my short search. the mentioned mw extension is in no way useful for us. :-( We need any mediawiki PHP extension (or JavaScript snipplet added to MediaWiki:Common.js) which switches default to mac key when something is pressed. Moreover we have more system related stuff (like NIX).
Comment 6 jani 2016-02-14 10:41:08 UTC
I agree it really looks like 2 easyHacks, will you file them ?
Comment 7 Dennis Roczek 2016-05-02 14:48:19 UTC
@Oliver I have created one easy hack to fix the wiki conversation tool. Two q remains:
a) is it wise to invest time to get a mediawiki extension for browser detection (and where to fill for what component?)
and
b) will your Proof of Concept replace helpwiki in "near time"?
Comment 8 Andras Timar 2016-06-18 19:31:00 UTC
Original problem was fixed by:

commit f9cb7f4660c039f7bf18bf60f6fb9c77f7e4f54b
Author: Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>
Date:   Mon Jan 25 15:26:12 2016 +0100

    switchinline is no valid child of "item" either

Wikihelp update is in progress. https://help.libreoffice.org/Draw/Shortcut_Keys_for_Drawing_Objects is good already.